Bug 137083 - Grid does not work in RTL sheet.
Summary: Grid does not work in RTL sheet.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.6.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Regina Henschel
URL:
Whiteboard: target:7.2.0 target:7.1.0.2
Keywords:
Depends on:
Blocks: RTL-CTL Sheet-Gridlines
  Show dependency treegraph
 
Reported: 2020-09-27 22:03 UTC by Regina Henschel
Modified: 2021-01-14 07:36 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2020-09-27 22:03:27 UTC
Start Calc and enable grid. That is in menu View > Grid and Helplines > Display Grid. To make the grid better visible you might set Resolution to 5mm and Subdivision to 5. That is in Tools > Options > Calc > Grid.

Now set right-to-left writing direction in page properties and set "Right-To-Left" in menu Sheet.

Error: The grid is no longer displayed.

Go to menu View and make sure, that the option "Display Grid" is still enabled.
Comment 1 Ming Hua 2020-10-12 05:38:24 UTC
Reproduced with 6.4.6 under Windows 10:
Version: 6.4.6.2 (x64)
Build ID: 0ce51a4fd21bff07a5c061082cc82c5ed232f115
CPU threads: 2; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: zh-CN (zh_CN); UI-Language: en-US
Calc: threaded

For people not familiar with RTL: in non-CTL locale/UI one needs to first enable RTL in Tools > Options > Language Settings > Languages > Complex text layout, to have menu Sheet > Right-To-Left active.
Comment 2 Volga 2021-01-10 03:37:19 UTC
A patch is available for this bug.
https://gerrit.libreoffice.org/c/core/+/108989
Comment 3 Commit Notification 2021-01-12 13:08:32 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7635a475130a0e9e3b0dded853348659d07a00d7

tdf#137083 consider negative width in DrawPageViewGrid

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Regina Henschel 2021-01-12 13:33:47 UTC
This patch has no unit test. I was not able to write a test, and nobody on the dev-list had an idea, see https://lists.freedesktop.org/archives/libreoffice/2021-January/086612.html

Therefore I set this to fixed without having a unit test.
Comment 5 Commit Notification 2021-01-14 07:36:55 UTC
Regina Henschel committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/6bb252e26ce1aeb3949c64ec6f0bef502a6a459d

tdf#137083 consider negative width in DrawPageViewGrid

It will be available in 7.1.0.2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.